/**
 *    author:  [itmo] enot.1.10
 *    created: 18.02.2017 06:22:04       
**/
#define __USE_MINGW_ANSI_STDIO 0
#include <bits/stdc++.h>

#define F first
#define S second
#define pb push_back
#define forn(i, n) for(int i = 0 ; (i) < (n) ; ++i)
#define eprintf(...) fprintf(stderr, __VA_ARGS__),fflush(stderr)
#define sz(a) ((int)(a).size())
#define all(a) (a).begin(),a.end()
#define pw(x) (1LL<<(x))

using namespace std;

typedef long long ll;
typedef double dbl;
typedef vector<int> vi;
typedef pair<int, int> pi;

const int inf = 1.01e9;
const dbl eps = 1e-9;

/* --- main part --- */

const int N = 1e5 + 10;

int a[N];


int main()
{
    assert(freopen("stones.in", "r", stdin));
    assert(freopen("stones.out", "w", stdout));
    int n;
    scanf("%d", &n);
    forn(i, n) scanf("%d", &a[i]);
    sort(a, a + n);
    int j = 0;
    int res = n;
    forn(i, n)
    {
        while (j + 1 < n && a[j + 1] - a[i] <= n - 1) j++;
        res = min(res, n - (j - i + 1));
    }
    printf("%d\n", res);        
    #ifdef home
        eprintf("time = %d ms\n", (int)(clock() * 1000. / CLOCKS_PER_SEC));
    #endif
    return 0;
}
