#define _ijps 0
#define _CRT_SECURE_NO_DEPRECATE
//#pragma comment(linker, "/STACK:667772160")
#include <iostream>
#include <cmath>
#include <vector>
#include <time.h>
#include <map>
#include <set>
#include <deque>
#include <cstdio>
#include <cstdlib>
#include <unordered_map>
#include <bitset>
#include <algorithm>
#include <string>
#include <fstream>
#include <assert.h> 
#include <list>
#include <cstring>
#include <queue>
using namespace std;

#define name "canderlabrum"
typedef unsigned long long ull;
typedef long long ll;
#define mk make_pair
//#define forn(i, n) for(int i = 0; i < (int)n; i++)
//#define fornn(i, q, n) for(ll i = (ll)q; i < (ll)n; i++)
#define times clock() * 1.0 / CLOCKS_PER_SEC


struct __isoff{
	__isoff(){
		if (_ijps)
			freopen("input.txt", "r", stdin), freopen("output.txt", "w", stdout);//, freopen("test.txt", "w", stderr);
		else freopen(name".in", "r", stdin), freopen(name".out", "w", stdout);
		//ios_base::sync_with_stdio(0);
		//srand(time(0));
		srand('C' + 'T' + 'A' + 'C' + 'Y' + 'M' + 'B' + 'A');
	}
	~__isoff(){
		//if(_ijps) cout<<times<<'\n';
	}
} __osafwf;
const ull p1 = 131;
const ull p2 = 129;
const double eps = 1e-8;
const double pi = acos(-1.0);

const int infi = 1e9 + 7;
const ll inf = 1e18 + 7;
const ll dd = 2e5 + 7;

const int alp = 30;
vector<int> P[dd];
vector<int> T;
int n;
int result = 0;

vector<int> Q;

int F(vector<int> Q){
	int m = Q.size();
	int r = 0;
	for(int i = 0; i < (1 << m); i++){
		vector<int> O;
		for(int j = 0; j < m; j++){
			if(i & (1 << j)){
				O.push_back(T[Q[j]]);
			}
		}
		bool ok = 1;
		for(int e = 0; e < O.size(); e++){
			if(e > 0){
				if(O[e] == O[e - 1]){
					ok = 0;
				}
				if(e > 1){
					if(O[e] == O[e - 2]){
						ok = 0;
					}
				}
			}
		}
		if(ok && r < O.size()){
			r = O.size();
		}
	}
	return r;
}

void dfs(int v, int p){
	Q.push_back(v);
	result = max(result, F(Q));
	for(auto u : P[v]){
		if(u != p){
			dfs(u, v);
		}
	}
	Q.pop_back();
}


int main() {
	cin >> n;
	T.resize(n);
	for(int i = 0; i < n - 1; i++){
		int a, b;
		scanf("%d%d", &a, &b);
		a--, b--;
		P[a].push_back(b);
		P[b].push_back(a);
	}
	for(int i = 0; i < n; i++){
		char c;
		scanf(" %c", &c);
		T[i] = c - 'a';
	}
	for(int i = 0; i < n; i++){
		dfs(i, i);
	}
	cout << result;
}